List managed passthrough devices
GET
/system/ppt-devices
const url = 'https://sylve.lan:8181/api/system/ppt-devices';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/system/ppt-devices \ --header 'Authorization: <Authorization>'List PCI passthrough mappings managed on the selected system
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
deviceID
string
domain
integer
id
integer
oldDriver
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "deviceID": "example", "domain": 1, "id": 1, "oldDriver": "example" } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}